import request from '@/utils/request'

// 查询吊钩注册列表
export function listHookRegister(query) {
  return request({
    url: '/app/hookRegister/list',
    method: 'get',
    params: query
  })
}

// 查询吊钩注册详细
export function getHookRegister(id) {
  return request({
    url: '/app/hookRegister/' + id,
    method: 'get'
  })
}

// 新增吊钩注册
export function addHookRegister(data) {
  return request({
    url: '/app/hookRegister',
    method: 'post',
    data: data
  })
}

// 修改吊钩注册
export function updateHookRegister(data) {
  return request({
    url: '/app/hookRegister',
    method: 'put',
    data: data
  })
}

// 删除吊钩注册
export function delHookRegister(id) {
  return request({
    url: '/app/hookRegister/' + id,
    method: 'delete'
  })
}
// 查询吊钩注册列表
export function getAllHookRegister() {
  return request({
    url: '/app/hookRegister/optionselect',
    method: 'get'
  })
}

